goalInvestigateSuitcase.mSteps =
{
	{ action = "click", object = objectPorchSuitcaseOpen, state = kActive },
}
goalInvestigateSuitcase.readyToStart = false
-- ----------------------------------------------------------------------------
function goalInvestigateSuitcase:onStarted()
    
    objectPorchSuitcaseOpen:ss(kActive)
    objectPorchSuitcaseBackground:ss(kIdle)
    objectPorchSuitcaseShine:ss(kIdle)
    layoutPorch:showSuitcaseHiglight()
    
    objectPorchLipstick:ss(kLocked)
    objectPorchMakeupbrush:ss(kLocked)
    objectPorchMirror:ss(kLocked)
    objectPorchParfum:ss(kLocked)
    objectPorchRaggedshirt:ss(kLocked)
    objectPorchShoe:ss(kLocked)
    objectPorchSkirt:ss(kLocked)
    objectPorchSock:ss(kLocked)
    objectPorchToothbrush:ss(kLocked)
    objectPorchWallet:ss(kLocked)
    
    objectPorchSuitcaseBrush:ss(kInactive)
    objectPorchSuitcaseLipstick:ss(kInactive)
    objectPorchSuitcaseMirror:ss(kInactive)
    objectPorchSuitcaseParfume:ss(kInactive)
    objectPorchSuitcaseRaggedshirt:ss(kInactive)
    objectPorchSuitcaseShoe:ss(kInactive)
    objectPorchSuitcaseSkirt:ss(kInactive)
    objectPorchSuitcaseSock:ss(kInactive)
    objectPorchSuitcaseToothbrush:ss(kInactive)
    objectPorchSuitcaseWallet:ss(kInactive)
    
    objectPorchSuitcaseMock:ss(kDone)
    
    objectPorchDoorOpen:ss(kLocked)
    objectPorchShed:ss(kLocked)
    
end
-- ----------------------------------------------------------------------------
function goalInvestigateSuitcase:onLayoutShow(layout)
	
	if (not self.readyToStart) then
		if (layout == layoutPorch) then
			if (objectPorchFuse1:isFound() and objectShedFuse3:isFound() and objectShedFuse4:isFound()) then
				self.readyToStart = true		
			end
		end
	end
	
end
-- ----------------------------------------------------------------------------
function goalInvestigateSuitcase:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalInvestigateSuitcase:onClickObject(layout, object, props, x, y)

	if (object == objectPorchSuitcaseOpen) then
		self:achieved()
	end
	
end